# DND - Spell Revolver

## Weapon

This item consists of two parts,

* The Revolver
* The Rifle
* The Rounds

### The Rounds

Rounds can be purchased in three forms

* Standard: These rounds have no magical properties
  * Can be used to cast known cantrips
* Blanks: These rounds are templates which allow the user to cast their own magic, through the bullet
  * Uses a spell slot
  * 5G for 100 bullets
* Imbued: These rounds come pre-imbued with a specific spell up to level 3
  * LV0: 1G for 50 bullets
  * LV1: 5G for 50 bullets
  * LV2: 10G for 50 bullets
  * LV3: 20G for 50 bullets

For information on spell limitations, please see this article [Spells](#spells)

### The Revolver

The revolver on its own does 1d10 damage on hit, and has a plus 2 to hit its target.

| **HIT** | **DMG** | **MGK** |
|---------|---------|---------|
| 1d20+2+SpellMod | 1d10 | 1d10+Spell Effect |

## Spells

### Requirements

These are here to limits to what can be cast by this type of weapon, varients may have other restrictions.

* If a spell has a certain requirements, they must be met at the time of pulling the trigger
  * Verbal: Must be spoken as trigger is pulled
  * Material: Must be on the Weilder, Within 5-10ft of target, or imbued into the bullet itself
  * Focus: The Weapon is a Magical Focus,
    * Devine Focus: The Weapon can be a Devine Focus, as long as it has had the proper markings and rituals applied to it
  * XP Cost: ***CANNOT BE CAST***
  * Concentration: ***CANNOT BE CAST***

### One Handed

* Somatic: Can be cast with this weapon,
  * Requires free hand
  * Disadvantage to hit
    * Logic: Both aiming the weapon, and making to required gestures takes more concentration than most,
